Results 1 to 9 of 9

Thread: libcucul.so.0

  1. #1
    Join Date
    Sep 2008
    Location
    Berlin, Germany
    Posts
    11

    Default libcucul.so.0

    Now I'm sitting here for ages, trying to install MPlayer. But it needs libcucul.so.0. In Yast I installed ALL repositories, I looked for libcucul in yast-search (with RPM-Provides activated). I searched in different forums.
    How can I then solve this dependency? It cannot be too difficult.

    Thanks for your help!

  2. #2
    Join Date
    Mar 2008
    Location
    Bochum, Germany
    Posts
    3,587

    Default Re: libcucul.so.0

    * Frau Stiefel,

    weird. Here it says it comes with the libcaca package.

    Uwe

  3. #3
    Join Date
    Mar 2008
    Location
    Vsters, Sweden ex. Highbury London UK
    Posts
    1,245

    Default Re: libcucul.so.0

    You should be able to install mplayer with the one click here normally fixes the dependencies.

    Quote Originally Posted by Frau_Stiefel View Post
    Now I'm sitting here for ages, trying to install MPlayer. But it needs libcucul.so.0. In Yast I installed ALL repositories, I looked for libcucul in yast-search (with RPM-Provides activated). I searched in different forums.
    How can I then solve this dependency? It cannot be too difficult.

    Thanks for your help!
    Core 2 Duo 3.16GHz, 8GB DDR2, 3.5TB, GeForce 9600 GT, Amilo LCD 26", OS 11.1 x86_64, KDE4.2.4 (2)
    My wine tips & tricks

  4. #4
    Join Date
    Sep 2008
    Location
    Berlin, Germany
    Posts
    11

    Default Re: libcucul.so.0

    Thank you for your fast reply!

    @geoffro: I have tried this link before. It says: "repo exception", after I typed my password. If I try the open Suse 1-klick-link, yast says the same as when I use it directly: libcucul.so.0...

    @ buckesfeld: libaca is my next problem:
    I click on libcaca and it says that libcaca0-0.9_099.beta etc. is newer and better than libcaca<0.9_0.99.beta etc., I then only installed one of them, now there is the green arrow in front of it. MPlayer still needs libcucul. And when I try to install libcaca0, it tells me that ...MPlayer needs libcucul.

    I really am a puzzeled penguin...

  5. #5
    Join Date
    Jun 2008
    Location
    Berlin
    Posts
    2,061

    Default Re: libcucul.so.0

    Same over here - I just had a smooth install of 11.0, but MPlayer refuses to be a part of my system... I tried YaST, rpm -Uhv, smart and even the one-clicker, plus libcaca (which provides libcucul.so.0, as shown here) is installed:

    Code:
    kalle@Hoppers:~> rpm -qa libcaca
    libcaca-0.9-203.1
    When trying to install via 'rpm' it shows even more conflicts:

    Code:
    Hoppers:/home/kalle # rpm -Uhv MPlayer-1.0rc2_r27637-2.pm.1.i586.rpm
    warning: MPlayer-1.0rc2_r27637-2.pm.1.i586.rpm: Header V3 DSA signature: NOKEY, key ID 9a795806
    error: Failed dependencies:
            libcaca.so.0 is needed by MPlayer-1.0rc2_r27637-2.pm.1.i586
            libcucul.so.0 is needed by MPlayer-1.0rc2_r27637-2.pm.1.i586
            libdca.so.0 is needed by MPlayer-1.0rc2_r27637-2.pm.1.i586
            libenca.so.0 is needed by MPlayer-1.0rc2_r27637-2.pm.1.i586
            liblirc_client.so.0 is needed by MPlayer-1.0rc2_r27637-2.pm.1.i586
            libnut.so.0 is needed by MPlayer-1.0rc2_r27637-2.pm.1.i586
            libopenal.so.0 is needed by MPlayer-1.0rc2_r27637-2.pm.1.i586
            libtwolame.so.0 is needed by MPlayer-1.0rc2_r27637-2.pm.1.i586

  6. #6
    Join Date
    Sep 2008
    Location
    Berlin, Germany
    Posts
    11

    Default Re: libcucul.so.0

    ...now both libcacas are installed. Nothing changed. @gropiuskalle: My list in RPM was even longer :-)

  7. #7
    Join Date
    Jun 2008
    Location
    Berlin
    Posts
    2,061

    Default Re: libcucul.so.0

    I'm pretty good at solving these kind of conflicts, since I use quite a lot of repositories (not yet in 11.0 though), but this one beats me. I have crosspostet this problem here.

    Well, still much more than the usual oss, non-oss, update and Packman... look here. Videolan is deactivated, though...

  8. #8
    Join Date
    Jun 2008
    Location
    Berlin
    Posts
    2,061

    Default Re: libcucul.so.0

    I'm pretty good at solving these kind of conflicts, since I use quite a lot of repositories (not yet in 11.0 though), but this one beats me. I have crosspostet this problem here.

    Well, still much more than the usual oss, non-oss, update and Packman... look here. Videolan is deactivated, though...

    Edit: Conflict oviously comes from Packmans libcaca and propably will be solved soon. At least it's noticed →click and the packmans and -women are usually pretty quick.

  9. #9
    Join Date
    Sep 2008
    Location
    Berlin, Germany
    Posts
    11

    Default Re: libcucul.so.0

    Solved! Thanks for the links. It really seems to have been a Pckman-Problem, which is now fixed. I just deinstalled the libcacas and then tried the MPlayer again - immediately it found the desired libcaca itself. Great.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •